%define name qtcups
%define version 1.0
%define release 14mdk

%define qtdir /usr/lib/qt2

Summary : QTCUPS - a CUPS interface and library for Qt
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Publishing
Source: http://sourceforge.net/projects/cups/%{name}-%{version}cvs.tar.bz2
Source1: qtcups.png.bz2
Patch: qtcups-1.0-doslineend.patch.bz2
URL: http://sourceforge.net/projects/cups
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: cups >= 1.1 qt2 >= 2.1

%package devel
Summary: QTCUPS library - provides Qt applications with support for CUPS
Group: Development/C

%description
A QT-based CUPS front-end to be used as a replacement for "lpr", which
provides a nice graphical interface for printer settings (printer,
configuration, ...)

%description devel
A development library which enables Qt application to print to CUPS
and configure all CUPS printer options. The class QCupsPrinter
provides the same interface as QPrinter, so code changes are small
for most applications.

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%setup

#Make it possible to read numerical options in PPD files with "dossy" line ends
#("\n\r")
%patch

touch `find . -type f`

# Load menu icon
bzcat %{SOURCE1} > $RPM_BUILD_DIR/%{name}-%{version}/qtcups.png

%build
export CXXFLAGS="${CXXFLAGS:-%optflags} -fno-exceptions -fno-rtti";./configure \
        --prefix=%{_prefix} --with-install-root=$RPM_BUILD_ROOT --enable-qt2 --with-qt-dir=/usr/lib/qt2
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 AUTHORS COPYING ChangeLog INSTALL NEWS README TODO $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# install menu icon

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/
install -m 644 qtcups.png $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/

# install menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

# Piped in data on qtcups command lineto prevent program
# from hanging when there is no file to print

cat <<EOF > $RPM_BUILD_ROOT/usr/lib/menu/qtcups
?package(qtcups): needs=X11 \
section=Configuration/Printing \
title="QT-CUPS" \
command="echo '%!' | /usr/bin/qtcups -j none" \
icon="/usr/share/icons/locolor/16x16/apps/qtcups.png"
EOF

%post

/sbin/ldconfig

## menu
if [ -x /usr/bin/update-menus ]; then
        /usr/bin/update-menus
fi

%postun

/sbin/ldconfig

## menu
if [ "$1" = 0 ]; then
        if [ -x /usr/bin/update-menus ]; then
                /usr/bin/update-menus
        fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}
%dir %{_libdir}
%dir %{_bindir}
%{_libdir}/*.so.*
%{_libdir}/*.la
%{_bindir}/*
# menu entry
%{_datadir}/icons/locolor/16x16/apps/
%{_libdir}/menu

%files devel
%defattr(-,root,root)
%dir %{_includedir}
%dir %{_includedir}/qtcups
%{_includedir}/qtcups/*
%{_libdir}/*.so

%changelog
* Tue Oct 17 2000 Till Kamppeter <till@mandrakesoft.com> 1.0-14mdk
- Rebuilt for library update (KDE 2.0 final!)

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.0-13mdk
- Rebuilt for library update

* Fri Sep 29 2000 Till Kamppeter <till@mandrakesoft.com> 1.0-12mdk
- Applied a patch to make it possible to read numerical options from a PPD
  file with "dossy" line ends ("\n\r")

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.0-11mdk
- Rebuilt for library update

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 1.0-10mdk
- CVS Update: Numerical options of CUPS-O-MATIC now supported

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.0-9mdk
- Rebuilt for library update

* Mon Sep 18 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.0-8mdk
- Added menu entry for qtcups

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.0-7mdk
- Rebuilt for library update

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.0-6mdk
- Rebuilt for new version of qt2

* Wed Sep  6 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.0-5mdk
- Fix of icons for remote printers and stopped printers

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.0-4mdk
- Rebuilt for new version of libs

* Sat Aug 26 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.0-3mdk
- Removed hardcoded architecture-specific flags, used macros instead

* Fri Aug 25 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.0-2mdk
- Removed unnecessary entry in "Requires:": kdelibs
- Fixed compiler options

* Fri Aug 18 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.0-1mdk
- "Mandrakized" the original RPM provided by Michael Goffioul
- initial release
